Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::CvParam Struct Reference

## Public Member Functions

QString | toString () const

## Public Attributes

QString | cvRef
QString | accession
QString | name
QString | value
QString | unitAccession
QString | unitName
QString | unitCvRef

## Detailed Description

Definition at line 110 of file mzidentmlreader.h.

## Member Function Documentation

## toString()

QString pappso::cbor::psm::MzIdentMlReader::CvParam::toString | ( |  | ) | const

Definition at line 45 of file mzidentmlreader.cpp.

{
return QString("%1 %2 %3 %4").arg(cvRef).arg(accession).arg(name).arg(value);
}
pappso::cbor::psm::MzIdentMlReader::CvParam::name
QString name
Definition mzidentmlreader.h:114
pappso::cbor::psm::MzIdentMlReader::CvParam::accession
QString accession
Definition mzidentmlreader.h:113
pappso::cbor::psm::MzIdentMlReader::CvParam::value
QString value
Definition mzidentmlreader.h:115
pappso::cbor::psm::MzIdentMlReader::CvParam::cvRef
QString cvRef
Definition mzidentmlreader.h:112

References accession, cvRef, name, and value.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## Member Data Documentation

## accession

QString pappso::cbor::psm::MzIdentMlReader::CvParam::accession

Definition at line 113 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readAnalysisSoftware(), pappso::cbor::psm::MzIdentMlReader::readCvParam(), pappso::cbor::psm::MzIdentMlReader::readDBSequence(), pappso::cbor::psm::MzIdentMlReader::readPeptide(), and toString().

## cvRef

QString pappso::cbor::psm::MzIdentMlReader::CvParam::cvRef

Definition at line 112 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam(), and toString().

## name

QString pappso::cbor::psm::MzIdentMlReader::CvParam::name

Definition at line 114 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam(), pappso::cbor::psm::MzIdentMlReader::readPeptide(), and toString().

## unitAccession

QString pappso::cbor::psm::MzIdentMlReader::CvParam::unitAccession

Definition at line 116 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam().

## unitCvRef

QString pappso::cbor::psm::MzIdentMlReader::CvParam::unitCvRef

Definition at line 118 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam().

## unitName

QString pappso::cbor::psm::MzIdentMlReader::CvParam::unitName

Definition at line 117 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam().

## value

QString pappso::cbor::psm::MzIdentMlReader::CvParam::value

Definition at line 115 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readCvParam(), pappso::cbor::psm::MzIdentMlReader::readDBSequence(), and toString().

The documentation for this struct was generated from the following files:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h
- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.cpp